%global git_date  20250201
%global git_hash  35bdb43
%global git_ver  2.1.0
%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

%define rpm_macros_dir %{_sysconfdir}/rpm

Name:		liblxqt
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
# Automatically converted from old format: LGPLv2 - review is highly recommended.
License:	LicenseRef-Callaway-LGPLv2
Summary:	Core shared library for LXQt desktop suite
Url:		https://github.com/lxqt/liblxqt
Source:		%{url}/%{src_name}
Source1:	macros.lxqt

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libXScrnSaver-devel
BuildRequires: lxqt-build-tools
BuildRequires: qt-devel
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6LinguistTools)
BuildRequires: cmake(qt6xdg)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: cmake(KF6WindowSystem)
BuildRequires: cmake(PolkitQt6-1)
Requires: xdg-utils >= 1.1.0

%description
Core utility library for all LXQT components

%package devel
Summary:	Devel files for liblxqt
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:       lxqt-build-tools >= 0.13.0
Requires:	cmake >= 3.3

%description devel
LXQt libraries for development.

%package l10n
BuildArch:      noarch
Summary:        Translations for liblxqt
Requires:       liblxqt
Obsoletes:      lxqt-l10n < 0.14.0

%description l10n
This package provides translations for the liblxqt package.

%prep
%autosetup -p1 -n %{name}

%build
%cmake
%cmake_build


%install
%cmake_install

# RPM macros
install -p -m0644 -D %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.lxqt
sed -i -e "s|@@CMAKE_VERSION@@|%{version}|" %{buildroot}%{rpm_macros_dir}/macros.lxqt
touch -r %{SOURCE1} %{buildroot}%{rpm_macros_dir}/macros.lxqt
%find_lang %{name} --with-qt

%files
%doc AUTHORS COPYING
%{_libdir}/liblxqt.so.*
%{_bindir}/lxqt-backlight_backend
%{_datadir}/lxqt/power.conf
%{_datadir}/polkit-1/actions/org.lxqt.backlight.pkexec.policy

%files devel
%{_libdir}/liblxqt.so
%{_includedir}/lxqt/
%{_datadir}/cmake/lxqt/
%{_libdir}/pkgconfig/lxqt.pc
%{rpm_macros_dir}/macros.lxqt

%files l10n -f %{name}.lang
%license COPYING
%doc AUTHORS README.md
%dir %{_datadir}/lxqt/translations/%{name}

%changelog
%autochangelog
